Gentoo Archives: gentoo-admin

From: Nerdvana - Steve Walsh <S.walsh@××××××××××××.au>
To: "Gentoo-Admin@Lists. Gentoo. Org" <gentoo-admin@l.g.o>
Subject: [gentoo-admin] Apache 1.3.33 emerge fails while making mod_rewrite
Date: Wed, 12 Oct 2005 03:20:14
Hi folks

I've got a new box that is failing whilst installing Apache 1.3.33

Emerge command is

asgard apache_1.3.33 # emerge apache

Error is

gcc -c  -I../../os/unix -I../../include  -O2 -march=pentium4 -pipe -DHARD_SE
/usr/include/db4.2 -DDEV_RANDOM=/dev/random -DUSE_HSREGEX -DEAPI -DEAPI_MM
`../../apaci` -fpic -DSHARED_MODULE mod_auth_dbm.c && mv mod_auth_dbm.o
make[4]: *** [] Error 1
make[4]: *** Waiting for unfinished jobs....
gcc -shared  -o
mod_auth_dbm.lo -L/usr/lib -lm -lcrypt -ldb-4.2 -lmm -lexpat -lgdbm -lgdbm_c
ompat -lpthread
make[4]: *** Waiting for unfinished jobs....
make[3]: *** [all] Error 1
make[2]: *** [subdirs] Error 1
make[2]: Leaving directory
make[1]: *** [build-std] Error 2
make[1]: Leaving directory
make: *** [build] Error 2

!!! ERROR: net-www/apache-1.3.33-r12 failed.
!!! Function src_compile, Line 129, Exitcode 2
!!! problem compiling apache
!!! If you need support, post the topmost build error, NOT this status

A google dug up this entry in the apache archive ( but seeing as that was entered in
2001, I'd hoped it was fixed.

I found reports of a similar error under other distro's which related to
using new versions of gcc, but I can't see a way to  force it to use an
older version of gcc.


Steve Walsh
Hosting Administrator
Nerdvana Hosting
ph: (02) 6262 5136

gentoo-admin@g.o mailing list


Subject Author
Re: [gentoo-admin] Apache 1.3.33 emerge fails while making mod_rewrite Georgi Georgiev <chutz@×××.net>